Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.editpart
Interface IEditPartOperation

All Superinterfaces:
  IOperation

All Known Implementing Classes:
  org.eclipse.gmf.runtime.diagram.ui.internal.services.editpart.EditPartOperation

public interface IEditPartOperation
extends IOperation

This interface is not intended to be implemented by clients as new methods may be added in the future.

Method Summary
`java.lang.String` `getCachingKey()` Gets the caching key.
`View` `getView()` gets the cached view.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Method Detail

### getCachingKey

    public java.lang.String getCachingKey()

  Gets the caching key.

  Returns:
    a string to be used as the caching key

### getView

    public View getView()

  gets the cached view.

  Returns:
    the notation View

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.